import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a bullet journal generator. Write a bullet journal in markdown format in ${input.language} with these personal information: ${input.topic}.`;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
