import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const userInput = document.getElementById("input").value;
  const language = document.getElementById("language").value;

  return { userInput, language };
};

const generatePrompt = (input) => {
  let prompt = `Generate 10 business names in markdown format that represents :${input.userInput}. The business name should be in ${input.language}.`;

  prompt += `
  ###example output:
  Here are 10 business name suggestions that represent "nice":

    1. Nicely Done Goods
    2. The Nice Boutique
    3. The Nice Oasis Spa
    4. Good Vibes Café
    5. Kind Hearts Consultancy
    6. Pleasant Prints Studio
    7. Nice Bites Catering
    8. Fine and Friendly Furniture
    9. Nice'n'Tidy Cleaning Services
    10. The Nice Retreat Resorts

  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
