const customSelectors = document.querySelectorAll(".customSelect");

customSelectors.forEach((selector) => {
  selector.addEventListener("click", () => {
    const optionsList = selector.children[1];
    optionsList.classList.toggle("hidden");
  });
});

const options = document.querySelectorAll("li");
options.forEach((option) => {
  option.addEventListener("click", () => {
    const optionsList = option.parentElement;
    const inputArea = optionsList.previousElementSibling;
    const selectValueInput = inputArea.children[0];

    selectValueInput.value = option.innerText;
    selectValueInput.dispatchEvent(new Event("input"));
    //this is needed because changing the value of the input programmatically doesn't trigger the input event
  });
});
