import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const userNeeds = document.querySelector("#userNeeds").value;
  return {
    userNeeds,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Act as a inspirational quote generator. Give me 10 inspirational quotes. Use markdown format for response. \n";
  if (input.userNeeds) {
    prompt += `I need ${input.userNeeds} \n`;
  }

  prompt += `
  ###examples:
  user:Act as a inspirational quote generator. Give me inspirations. Use markdown format for response.
  AI:**"Your time is limited, don't waste it living someone else's life."** - Steve Jobs
  user:Act as a inspirational quote generator. Give me inspirations. Use markdown format for response. I need inspirations for study.
  AI: **"Education is the passport to the future, for tomorrow belongs to those who prepare for it today."** - Malcolm X
      **"The roots of education are bitter, but the fruit is sweet."** - Aristotle
  `;
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
