import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const businessDeatils = document.querySelector("#businessDetails").value;
  const targetAudience = document.querySelector("#targetAudience").value;
  let language = document.getElementById("language").value;

  return {
    businessDeatils,
    targetAudience,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a lead magnet generator. Generate irresistible lead magnets for my business with the following informations in markdown format:`;

  if (input.businessDeatils) {
    prompt += `
        My business details: ${input.businessDeatils}
      `;
  }

  if (input.targetAudience) {
    prompt += `
        My business target audience: ${input.targetAudience}
      `;
  }

  if (input.language) {
    prompt += `
        Generate the lead magnet in ${input.language}
      `;
  }

  prompt += `
   Remember these informations while generating the lead magnets:

   A lead magnet is a free resource or incentive offered to prospects in exchange for their email address or other contact information.
   A good lead magnet is relevant, specific and delivers actionable value. It’s also designed to be on-brand and easy to consume.
   Lead magnets like ebooks, whitepapers and templates work best at the top of the funnel, but you can also offer incentives like webinars, demos, free trials, case studies and discounts to drive conversions near the middle and bottom of the funnel.
   More Lead magnet examples:
    Free shipping,Inspiration file,Contest,Discount,Bundle offer,Free tool,Template,Free trial,Webinar,Free course,Ebook,Report,Sample report copy,Survey,Examples,Free consultation,Gift card,Access to community,Quiz,Planner
    `;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
