import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const keywords = document.querySelector("#keywords").value;
  const language = document.querySelector("#language").value;

  return {
    keywords,
    language,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a long tail keyword generator. Generate long tail keywords based on the following informations:`;

  if (input.keywords) {
    prompt += `Use these keywords: ${input.keywords}.`;
  }

  if (input.language) {
    prompt += `keywords will be in: ${input.language}.`;
  }

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
