import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;
  const tone = document.querySelector("#tone").value;

  return {
    language,
    topic,
    tone,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a twitter thread generator. Write a twitter thread in markdown format in ${input.language} on ${input.topic} with ${input.tone} tone.}`;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
