import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const userInput = document.querySelector("input").value;

  return userInput;
};

const generatePrompt = (userInput) => {
  let prompt = `Act as a hashtag generator.
    Generate 10 hashtags in markdown format that represents ${userInput}.`;

  prompt += `
  '''
  example output:
  1)  #ManlyMondays
  2)  #GentlemanStyle
  3)  #MensFashionista
  4)  #StrongAndStylish
  5)  #BeardGoals
  6)  #MachoMan
  7)  #DapperGent
  8)  #ModernMan
  9)  #LeadingLad
  10)  #MasculineVibes
  '''
  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
