import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const companyDetails = document.getElementById("companyDetails").value;
  const kpiType = document.getElementById("kpiType").value;
  const language = document.getElementById("language").value;

  return {
    companyDetails,
    kpiType,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as kpi generator. Generate kpis for my company with the following informations in markdown format:`;

  if (input.companyDetails) {
    prompt += `
        My company details: ${input.companyDetails}
      `;
  }

  if (input.kpiType) {
    prompt += `
        I want to generate ${input.desiredReply} kpis
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}
      `;
  }

  prompt += `Include explanation for why and how a kpi is useful.Also explain how to calculate that kpi with formula.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
