import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  let details = document.getElementById("details").value;
  let language = document.getElementById("language").value;

  return {
    details,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as an Meeting Agenda generator. Generate meeting agendas for me with the following information in markdown format:`;

  if (input["details"]) {
    prompt += `
        Meeting Details: ${input["details"]}
      `;
  }

  if (input["language"]) {
    prompt += `
        Language of the agendas: ${input["language"]}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
