import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const about = document.getElementById("about").value;
  const language = document.getElementById("language").value;

  return {
    about,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Product Launch Promotional Ideas Generator. Generate Product Launch Promotional Ideas for me with the following informations in markdown format:`;

  if (input.about) {
    prompt += `
        Create Product Launch Promotional Ideas for This Product: ${input.about}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}.
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
