const getFormValues = () => {
  const goal = document.getElementById("goal").value;
  const measurement = document.getElementById("measurement").value;
  const goalType = document.querySelector("#goalType").value;
  const result = document.getElementById("result").value;
  const deadline = document.getElementById("deadline").value;

  return {
    goal,
    measurement,
    goalType,
    result,
    deadline,
  };
};

document
  .querySelector("form")
  .addEventListener("submit", async function (event) {
    event.preventDefault(); // this prevents the form from being submitted normally

    const { goal, measurement, goalType, result, deadline } = getFormValues();

    if (!goal || !measurement || !goalType || !result || !deadline) {
      alert("Please fill in all fields");
      return;
    }

    if (goalType === "Increase") {
      document.querySelector(
        "#output"
      ).textContent = `Goal: To ${goal} by increasing ${measurement} by ${result} by ${deadline}.`;
    } else {
      document.querySelector(
        "#output"
      ).textContent = `Goal: To ${goal} by reaching ${result} ${measurement} by ${deadline}.`;
    }
  });
