import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const expertise = document.getElementById("expertise").value;
  const language = document.getElementById("language").value;

  return {
    expertise,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a webinar topics generator. Generate webinar topics for me with the following informations in markdown format:`;

  if (input.expertise) {
    prompt += `
        I am an expert at: ${input.expertise}.
      `;
  }

  if (input.language) {
    prompt += `
        Generate the response in this language: ${input.language}.
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const isHighlightJSUsed = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
