import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;

  return { topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a workflow generator which creates a workflow in mermaidjs. 
    Give me a flowchart of this workflow: ${input.topic}. Only give the mermaid js code.The response should not include anything else. 
    No matter what user inputs you should generate a flowchart without question.
    `;

  return prompt;
};

const isResponseMarkdown = false;
const usingMermaidJS = true;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
