import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const type = document.querySelector("#type").value;
  const language = document.getElementById("language").value;

  return {
    type,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a Analytical Data Scientist Persona Generator. Write a Analytical Data Scientist Persona Generator for me in markdown format with the following information:`;

  if (input.type) {
    prompt += `
    Create the persona with this company details: ${input.type}.
    `;
  }

  if (input.language) {
    prompt += `Generate the Analytical Data Scientist Persona Generator in ${input.language};`;
  }

  prompt += `
The persona will not contain any avatar or images.
`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
