import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;

  return { language, topic };
};

const generatePrompt = (input) => {
  let prompt = `Act as a call to action generator. Write 5 call to actions in 5 words in ${input.language} with the following information:${input.topic}.`;

  prompt += `
    ###example outputs:
    1)Claim 50% Off Now!
    2)Order Now and Save 50% on Food Delivery!
    3)Donate to Support a Worthy Cause!
    4)Help Us Make a Difference – Act Now!
    5)Book Your Appointment Today – Limited Slots!
    6) Follow Us for Daily Inspiration!
    7)Don't Miss Out – Follow Us Today!
    8)Download Now and Simplify Your Life!
    9)Subscribe to Our Newsletter for Exclusive Offers!
    `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
