import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const language = document.querySelector("#language").value;
  const topic = document.querySelector("#topic").value;
  const goal = document.querySelector("#goal").value;

  return { language, topic, goal };
};

const generatePrompt = (input) => {
  let prompt = `Act as a content calender generator. Write a content calender in markdown format in ${input.language} for this topic: ${input.topic}.
  The goal of the contents is ${input.goal}.
  `;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
