import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const productDeatils = document.querySelector("#productDetails").value;
  const targetAudience = document.querySelector("#targetAudience").value;
  let language = document.getElementById("language").value;

  return {
    productDeatils,
    targetAudience,
    language,
  };
}

function generatePrompt(input) {
  let prompt = `Act as a AIDA copy generator. Generate irresistible AIDA copies for my product with the following informations in markdown format:`;

  if (input.productDeatils) {
    prompt += `
        My product details: ${input.productDeatils}
      `;
  }

  if (input.targetAudience) {
    prompt += `
        My product's target audience: ${input.targetAudience}
      `;
  }

  if (input.language) {
    prompt += `
        Generate the AIDA copy in ${input.language}
      `;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
