import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  let algorithmDetails = document.getElementById("algorithm-details").value;
  let algorithmLanguage = document.getElementById("language").value;

  return {
    algorithmDetails,
    algorithmLanguage,
  };
};

const generatePrompt = (input) => {
  let prompt = `Act as a ${input.algorithmLanguage} algorithm generator that generates algorithm in markdown format with the following informations: ${input.algorithmDetails}.`;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const isHighlightJSUsed = true;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  isHighlightJSUsed
);
