import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a audience persona generator. Write a audience persona in markdown format with the following information:`;

  if (input.topic) {
    prompt += `About my company : ${input.topic};`;
  }

  if (input.language) {
    prompt += `Generate the audience persona in ${input.language};`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
