const t = [
  {
    category: "Marketing and SEO Tools",
    categoryUrl: "marketing-and-seo-tools",
    categoryTools: [
      {
        link: "/free-tools/ad-copy-generator",
        name: "Ad Copy Generator",
        description: "Generate ad copy for marketing campaigns.",
      },
    //   {
    //     link: "/free-tools/keyword-list-generator",
    //     name: "Keyword List Generator",
    //     description: "Generate Keyword Lists",
    //   },
    //   {
    //     link: "/free-tools/sitemap-generator",
    //     name: "Sitemap Generator",
    //     description: "Generate sitemaps for websites.",
    //   },
      {
        link: "/free-tools/buyer-persona-generator",
        name: "Buyer Persona Generator",
        description: "Generate Buyer Persona",
      },
    //   {
    //     link: "/free-tools/faq-schema-generator",
    //     name: "Faq Schema Generator",
    //     description: "Generate Faq Schema",
    //   },
      {
        link: "/free-tools/sales-proposal-generator",
        name: "Sales Proposal Generator",
        description: "Generate compelling sales proposals",
      },
      {
        link: "/free-tools/sales-page-generator",
        name: "Sales Page Generator",
        description: "Generate Sales Page",
      },
      {
        link: "/free-tools/unique-value-proposition-generator",
        name: "Unique Value Proposition Generator",
        description: "Create Unique Value Propositions",
      },
      {
        link: "/free-tools/aida-generator",
        name: "AIDA Generator",
        description: "Generate AIDA Copies",
      },
      {
        link: "/free-tools/sales-email-generator",
        name: "Sales Email Generator",
        description: "Generate Sales Emails",
      },
      {
        link: "/free-tools/sales-funnel-generator",
        name: "Sales Funnel Generator",
        description: "Generator Sales Funnel Generator",
      },
      {
        link: "/free-tools/product-launch-promotional-ideas-generator",
        name: "Product Launch Promotional Ideas Generator",
        description: "Generate Ideas For Product Launch Promotion",
      },
      {
        link: "/free-tools/email-sequence-generator",
        name: "Email Sequence Generator",
        description: "Generate Email Sequence",
      },
      {
        link: "/free-tools/call-to-action-generator",
        name: "Call To Action Generator",
        description: "Generate call-to-action phrases.",
      },
    //   {
    //     link: "/free-tools/hashtag-generator",
    //     name: "Hashtag Generator",
    //     description: "Generate popular hashtags for social media.",
    //   },
      {
        link: "/free-tools/email-subject-line-generator",
        name: "Email Subject Line Generator",
        description: "Generate Email Subject Line",
      },
    //   {
    //     link: "/free-tools/brand-style-guide-generator",
    //     name: "Brand Style Guide Generator",
    //     description: "Generate Your Brand's Style Guide",
    //   },
      {
        link: "/free-tools/slogan-generator",
        name: "Slogan Generator",
        description: "Generate catchy slogans for businesses.",
      },
      {
        link: "/free-tools/ad-headline-generator",
        name: "Ad Headline Generator",
        description: "Generate ad headline",
      },
      {
        link: "/free-tools/customer-persona-generator",
        name: "Customer Persona Generator",
        description: "Generate Customer Persona",
      },
      {
        link: "/free-tools/article-schema-generator",
        name: "Article Schema Generator",
        description: "Generate schema for your article.",
      },
      {
        link: "/free-tools/brand-guidelines-generator",
        name: "Brand Guidelines Generator",
        description: "Generate Brand Guidelines",
      },
      {
        link: "/free-tools/elevator-pitch-generator",
        name: "Elevator Pitch Generator",
        description: "Generate Elevator Pitch",
      },
      {
        link: "/free-tools/long-tail-keyword-generator",
        name: "Long Tail Keyword Generator",
        description: "Generate Long Tail Keywords",
      },
      {
        link: "/free-tools/marketing-plan-generator",
        name: "Marketing Plan Generator",
        description: "Generate Marketing Plans",
      },
    //   {
    //     link: "/free-tools/audience-persona-generator",
    //     name: "Audience Persona Generator",
    //     description: "Generate Audience Persona",
    //   },
      {
        link: "/free-tools/course-marketing-plan-generator",
        name: "Course Marketing Plan Generator",
        description: "Generate Course Marketing Plans",
      },
      {
        link: "/free-tools/meta-description-generator",
        name: "Meta Description Generator",
        description: "Generate Meta Descriptions",
      },
      {
        link: "/free-tools/mission-statement-generator",
        name: "Mission Statement Generator",
        description: "Generate Mission Statements",
      },
      {
        link: "/free-tools/sales-script-generator",
        name: "Sales Script Generator",
        description: "Generate Sales Script",
      },
      {
        link: "/free-tools/lead-magnet-generator",
        name: "Lead Magnet Generator",
        description: "Generate Lead Magnets",
      },
    //   {
    //     link: "/free-tools/startup-pitch-generator",
    //     name: "Startup Pitch Generator",
    //     description: "Generate Startup Pitch",
    //   },
      {
        link: "/free-tools/cfo-persona-generator",
        name: "Chief Financial Officer Persona Generator",
        description: "Generate CFO Persona",
      },
      {
        link: "/free-tools/questions-for-discovery-call-generator",
        name: "Questions For Discovery Call Generator",
        description: "Generate Questions For Discovery Calls",
      },
      {
        link: "/free-tools/ad-copy-variations-generator",
        name: "Ad Copy Variations Generator",
        description: "Generate Ad Copy Variations",
      },
      {
        link: "/free-tools/title-tag-generator",
        name: "Title Tag Generator",
        description: "Generate Title Tags",
      },
      {
        link: "/free-tools/user-persona-generator",
        name: "User Persona Generator",
        description: "Generate User Persona",
      },

      {
        link: "/free-tools/value-proposition-generator",
        name: "Value Proposition Generator",
        description: "Generate Value Propositions",
      },
      {
        link: "/free-tools/website-schema-generator",
        name: "Website Schema Generator",
        description: "Generate Website Schema",
      },
    ],
  },
  {
    category: "Business Tools",
    categoryUrl: "business-and-productivity-tools",
    categoryTools: [
      {
        link: "/free-tools/project-schedule-generator",
        name: "Project Schedule Generator",
        description: "Generate Project Schedule",
      },
      {
        link: "/free-tools/swot-analysis-generator",
        name: "Swot Analysis Generator",
        description: "Generate SWOT Analysis",
      },
      {
        link: "/free-tools/kpi-generator",
        name: "KPI Generator",
        description: "Generate KPIS",
      },
      {
        link: "/free-tools/okr-generator",
        name: "OKR Generator",
        description: "Generate OKR",
      },
      {
        link: "/free-tools/organizational-chart-generator",
        name: "Organizational Chart Generator",
        description: "Generate Organizational Chart",
      },
      {
        link: "/free-tools/sales-funnel-generator",
        name: "Sales Funnel Generator",
        description: "Generator Sales Funnel Generator",
      },
    //   {
    //     link: "/free-tools/brand-style-guide-generator",
    //     name: "Brand Style Guide Generator",
    //     description: "Generate Your Brand's Style Guide",
    //   },
      {
        link: "/free-tools/meeting-agenda-generator",
        name: "Meeting Agenda Generator",
        description: "Generate Meeting Agenda",
      },
      {
        link: "/free-tools/job-interview-generator",
        name: "Job Interview Generator",
        description: "Generate Job Interview Questions",
      },
    //   {
    //     link: "/free-tools/flowchart-generator",
    //     name: "Flowchart Generator",
    //     description: "Create flowcharts for technical processes.",
    //   },
      {
        link: "/free-tools/project-plan-generator",
        name: "Project Plan Generator",
        description: "Generate Project Plan",
      },
      {
        link: "/free-tools/project-scope-generator",
        name: "Project Scope Generator",
        description: "Generate Project Scopes",
      },
    //   {
    //     link: "/free-tools/startup-pitch-generator",
    //     name: "Startup Pitch Generator",
    //     description: "Generate Startup Pitch",
    //   },
    //   {
    //     link: "/free-tools/user-journey-map-generator",
    //     name: "User Journey Map Generator",
    //     description: "Generate User Journey Maps",
    //   },
      {
        link: "/free-tools/it-support-persona-generator",
        name: "It Support Persona Generator",
        description: "Generate IT Support Personas",
      },
      {
        link: "/free-tools/product-launch-promotional-ideas-generator",
        name: "Product Launch Promotional Ideas Generator",
        description: "Generate Ideas For Product Launch Promotion",
      },
      {
        link: "/free-tools/course-marketing-plan-generator",
        name: "Course Marketing Plan Generator",
        description: "Generate Course Marketing Plans",
      },
      {
        link: "/free-tools/domain-name-generator",
        name: "Domain Name Generator",
        description: "Generate domain name ideas.",
      },
      {
        link: "/free-tools/business-name-generator",
        name: "Business Name Generator",
        description: "Generate business names and ideas.",
      },
      {
        link: "/free-tools/product-name-generator",
        name: "Product Name Generator",
        description: "Generate product names and ideas.",
      },
      {
        link: "/free-tools/customer-service-representative-persona-generator",
        name: "Customer Service Representative Persona Generator",
        description:
          "Generate Customer Service Representative Persona Generator",
      },
      {
        link: "/free-tools/project-charter-generator",
        name: "Project Charter Generator",
        description: "Generate Project Charters",
      },
      {
        link: "/free-tools/cfo-persona-generator",
        name: "Chief Financial Officer Persona Generator",
        description: "Generate CFO Persona",
      },
      {
        link: "/free-tools/product-description-generator",
        name: "Product Description Generator",
        description: "Generate product descriptions.",
      },
      {
        link: "/free-tools/brand-guidelines-generator",
        name: "Brand Guidelines Generator",
        description: "Generate Brand Guidelines",
      },
      {
        link: "/free-tools/buyer-persona-generator",
        name: "Buyer Persona Generator",
        description: "Generate Buyer Persona",
      },
      {
        link: "/free-tools/customer-persona-generator",
        name: "Customer Persona Generator",
        description: "Generate Customer Persona",
      },
      {
        link: "/free-tools/event-name-generator",
        name: "Event Name Generator",
        description: "Generate Event Name Generator",
      },
      {
        link: "/free-tools/faq-generator",
        name: "Faq Generator",
        description: "Generate FAQS",
      },
    //   {
    //     link: "/free-tools/audience-persona-generator",
    //     name: "Audience Persona Generator",
    //     description: "Generate Audience Persona",
    //   },
      {
        link: "/free-tools/gift-card-number-generator",
        name: "Gift Card Number Generator",
        description: "Generate Gift Card Numbers",
      },
      {
        link: "/free-tools/google-sheets-formula-generator",
        name: "Google Sheets Formula Generator",
        description: "Generate Google Sheets Formula",
      },
    //   {
    //     link: "/free-tools/email-subject-line-generator",
    //     name: "Email Subject Line Generator",
    //     description: "Generate Email Subject Line",
    //   },
      {
        link: "/free-tools/random-number",
        name: "Random Number Generator",
        description: "Generate random numbers for various uses.",
      },
      {
        link: "/free-tools/job-description-generator",
        name: "Job Description Generator",
        description: "Generate Job Descriptions",
      },
      {
        link: "/free-tools/job-title-generator",
        name: "Job Title Generator",
        description: "Generate Job Title",
      },
      {
        link: "/free-tools/product-idea-generator",
        name: "Product Idea Generator",
        description: "Generate Product Ideas",
      },
      {
        link: "/free-tools/project-proposal-generator",
        name: "Project Proposal Generator",
        description: "Generate Project Proposal",
      },
      {
        link: "/free-tools/project-timeline-generator",
        name: "Project Timeline Generator",
        description: "Generate Project Timeline",
      },
      {
        link: "/free-tools/smart-goal-generator",
        name: "Smart Goal Generator",
        description: "Generate Smart Goals",
      },
      {
        link: "/free-tools/startup-idea-generator",
        name: "Startup Idea Generator",
        description: "Generate Good Ideas",
      },
      {
        link: "/free-tools/survey-question-generator",
        name: "Survey Question Generator",
        description: "Generate Lots Of Questions",
      },
      {
        link: "/free-tools/user-persona-generator",
        name: "User Persona Generator",
        description: "Generate User Persona",
      },
    ],
  },
  {
    category: "Technical and Coding Tools",
    categoryUrl: "technical-and-coding-tools",
    categoryTools: [
      {
        link: "/free-tools/javascript-generator",
        name: "JavaScript Generator",
        description: "Generate JavaScript code snippets.",
      },
      {
        link: "/free-tools/front-end-code-generator",
        name: "Frontend Code Generator",
        description: "Generate HTML/CSS code snippets.",
      },
      {
        link: "/free-tools/excel-formula-generator",
        name: "Excel Formula Generator",
        description: "Generate Excel formulas for data analysis.",
      },

      {
        link: "/free-tools/prompt-generator",
        name: "AI Prompt Generator",
        description: "Generate prompts for AI models.",
      },
      {
        link: "/free-tools/algorithm-generator",
        name: "Algorithm Generator",
        description: "Generate cool algorithms",
      },
      {
        link: "/free-tools/article-schema-generator",
        name: "Article Schema Generator",
        description: "Generate schema for your article.",
      },
      {
        link: "/free-tools/chatgpt-prompt-generator",
        name: "ChatGpt Prompt Generator",
        description: "Generate Good ChatGpt Prompts",
      },
      {
        link: "/free-tools/function-name-generator",
        name: "Function Name Generator",
        description: "Generate Function Names",
      },
    //   {
    //     link: "/free-tools/faq-schema-generator",
    //     name: "Faq Schema Generator",
    //     description: "Generate Faq Schema",
    //   },

      {
        link: "/free-tools/google-sheets-formula-generator",
        name: "Google Sheets Formula Generator",
        description: "Generate Google Sheets Formula",
      },
      {
        link: "/free-tools/meta-description-generator",
        name: "Meta Description Generator",
        description: "Generate Meta Descriptions",
      },
      {
        link: "/free-tools/php-generator",
        name: "PHP Generator",
        description: "Generate PHP Code",
      },
      {
        link: "/free-tools/release-notes-generator",
        name: "Release Note Generator",
        description: "Generate Release Notes",
      },
      {
        link: "/free-tools/test-case-generator",
        name: "Test Case Generator",
        description: "Generate Test Cases",
      },
      {
        link: "/free-tools/numbered-list-generator",
        name: "Numbered List Generator",
        description: "Generate numbered lists for documentation.",
      },
      {
        link: "/free-tools/website-typography-generator",
        name: "Website Typography Generator",
        description: "Generate Website Typography",
      },
    ],
  },
  {
    category: "Password and User Data Tools",
    categoryUrl: "password-and-user-data-tools",
    categoryTools: [
      {
        link: "/free-tools/random-password",
        name: "Password Generator",
        description: "Generate secure passwords.",
      },
      {
        link: "/free-tools/username-generator",
        name: "Username Generator",
        description: "Generate usernames for online platforms.",
      },
      {
        link: "/free-tools/privacy-policy-generator",
        name: "Privacy Policy Generator",
        description: "Generate privacy policy documents.",
      },

      {
        link: "/free-tools/gamertag-generator",
        name: "Gamertag Generator",
        description: "Generate gaming usernames (gamertags).",
      },
    ],
  },
  {
    category: "Content Creation and Writing Tools",
    categoryUrl: "content-creation-and-writing-tools",
    categoryTools: [
      {
        link: "/free-tools/blog-post-generator",
        name: "Blog Post Generator",
        description: "Generate Blog Posts",
      },
      {
        link: "/free-tools/content-idea-generator",
        name: "Content Idea Generator",
        description: "Generate cool ideas.",
      },
      {
        link: "/free-tools/content-calender-generator",
        name: "Content Calender Generator",
        description: "Generate Content Calender",
      },
      {
        link: "/free-tools/article-summary-generator",
        name: "Article Summary Generator",
        description: "Generate Article Summary",
      },
      {
        link: "/free-tools/newsletter-generator",
        name: "Newsletter Generator",
        description: "Generate Newsletters",
      },
      {
        link: "/free-tools/listicle-generator",
        name: "Listicle Generator",
        description: "Generate Listicles",
      },
      {
        link: "/free-tools/book-title-generator",
        name: "Book Title Generator",
        description: "Generate book title ideas.",
      },
      {
        link: "/free-tools/random-text-generator",
        name: "Random Text Generator",
        description: "Generate random text for creative purposes.",
      },
      {
        link: "/free-tools/product-description-generator",
        name: "Product Description Generator",
        description: "Generate product descriptions.",
      },
      {
        link: "/free-tools/slogan-generator",
        name: "Slogan Generator",
        description: "Generate catchy slogans for businesses.",
      },
      {
        link: "/free-tools/acronym",
        name: "Acronym Generator",
        description: "Generate acronyms for various terms.",
      },
      {
        link: "/free-tools/about-page-generator",
        name: "About Page Generator",
        description: "Generate 'About Us' pages for websites.",
      },
      {
        link: "/free-tools/haiku-generator",
        name: "Haiku Generator",
        description: "Generate haikus and poems.",
      },
      {
        link: "/free-tools/article-outline-generator",
        name: "Article Outline Generator",
        description: "Generate Article Outlines",
      },
      {
        link: "/free-tools/article-title-generator",
        name: "Article Title Generator",
        description: "Generate Article Title",
      },
    //   {
    //     link: "/free-tools/blog-post-idea-generator",
    //     name: "Blog Post Idea Generator",
    //     description: "Generate Blog Post Ideas",
    //   },
      {
        link: "/free-tools/blog-post-introduction-generator",
        name: "Blog Post Introduction Generator",
        description: "Generate Blog Post Introductions",
      },
      {
        link: "/free-tools/book-summary-generator",
        name: "Book Summary Generator",
        description: "Generate Book Summary",
      },
      {
        link: "/free-tools/metaphor-generator",
        name: "Metaphor Generator",
        description: "Generate Metaphors",
      },
      {
        link: "/free-tools/paragraph-rewriter-generator",
        name: "Paragraph Rewriter",
        description: "Rewrite Paragraphs",
      },
      {
        link: "/free-tools/press-release-generator",
        name: "Press Release Generator",
        description: "Generate Press Release",
      },
      {
        link: "/free-tools/sentence-finisher-generator",
        name: "Sentence Finisher",
        description: "Finish Your Sentence",
      },
    ],
  },
  {
    category: "Productivity Tools",
    categoryUrl: "productivity-tools",
    categoryTools: [
      {
        link: "/free-tools/knowledge-graph-generator",
        name: "Knowledge Graph Generator",
        description: "Generate Knowledge Graphs",
      },
      {
        link: "/free-tools/bullet-journal-generator",
        name: "Bullet Journal Generator",
        description: "Generate Bullet Journal",
      },
      {
        link: "/free-tools/inspirational-quote-generator",
        name: "Inspirational Quote Generator",
        description: "Generate Inspirational Quotes",
      },
      {
        link: "/free-tools/journal-prompt-generator",
        name: "Journal Prompt Generator",
        description: "Generate Journal Prompts",
      },
      {
        link: "/free-tools/workout-generator",
        name: "Workout Generator",
        description: "Generate Workouts",
      },
      {
        link: "/free-tools/resume-cover-letter-generator",
        name: "Resume Cover Letter Generator",
        description: "Generate Resume Cover Letter",
      },
      {
        link: "/free-tools/lesson-plan-generator",
        name: "Lesson Plan Generator",
        description: "Generate Lesson plans",
      },
    //   {
    //     link: "/free-tools/grading-rubric-generator",
    //     name: "Grading Rubric Generator",
    //     description: "Generate Grading Rubric",
    //   },
      {
        link: "/free-tools/job-interview-generator",
        name: "Job Interview Generator",
        description: "Generate Job Interview Questions",
      },
      {
        link: "/free-tools/math-tutor-persona-generator",
        name: "Math Tutor Persona Generator",
        description: "Generate Math Tutor Personas",
      },
      {
        link: "/free-tools/journalist-persona-generator",
        name: "Journalist Persona Generator",
        description: "Generate Journalist Persona",
      },
      {
        link: "/free-tools/nutritionist-persona-generator",
        name: "Nutritionist Persona Generator",
        description: "Generate Nutritionist Persona",
      },
      {
        link: "/free-tools/email-subject-line-generator",
        name: "Email Subject Line Generator",
        description: "Generate Email Subject Line",
      },
      {
        link: "/free-tools/flowchart-generator",
        name: "Flowchart Generator",
        description: "Create flowcharts for technical processes.",
      },
      {
        link: "/free-tools/event-planner-persona-generator",
        name: "Event Planner Persona Generator",
        description: "Generate Event Planner Persona.",
      },
      {
        link: "/free-tools/human-resource-advisor-persona-generator",
        name: "Human Resources Advisor Persona Generator",
        description: "Generate Human Resource Advisor Personas",
      },
      {
        link: "/free-tools/interior-designer-persona-generator",
        name: "Interior Designer Persona Generator",
        description: "Generate Interior Designer Persona",
      },
      {
        link: "/free-tools/analytical-data-scientist-persona-generator",
        name: "Analytical Data Scientist Persona Generator",
        description: "Generate Analytical Data Scientist Personas",
      },
      {
        link: "/free-tools/priority-list-generator",
        name: "Priority List Generator",
        description: "Generate Priority List",
      },
      {
        link: "/free-tools/trade-show-planning-generator",
        name: "Trade Show Planning Generator",
        description: "Generate Trade Show Plan",
      },
      {
        link: "/free-tools/sentiment-analysis-generator",
        name: "Sentiment Analysis Generator",
        description: "Generate Sentiment Analysis",
      },
      {
        link: "/free-tools/webinar-topics-generator",
        name: "Webinar Topics Generator",
        description: "Generate Webinar Topics",
      },
      {
        link: "/free-tools/email-reply-generator",
        name: "Email Reply Generator",
        description: "Generate Email Replies",
      },
      {
        link: "/free-tools/recipe-generator",
        name: "Recipe Generator",
        description: "Generate Recipe",
      },
      {
        link: "/free-tools/resume-summary-generator",
        name: "Resume Summary Generator",
        description: "Generate Resume Summary",
      },
      {
        link: "/free-tools/smart-goal-generator",
        name: "Smart Goal Generator",
        description: "Generate Smart Goals",
      },
      {
        link: "/free-tools/survey-question-generator",
        name: "Survey Question Generator",
        description: "Generate Lots Of Questions",
      },
      {
        link: "/free-tools/todo-list-generator",
        name: "Todo List Generator",
        description: "Generate Todo List",
      },
      {
        link: "/free-tools/video-script-generator",
        name: "Video Script Generator",
        description: "Generate Video Scripts",
      },
      {
        link: "/free-tools/workflow-generator",
        name: "Workflow Generator",
        description: "Generate Workflows",
      },
    ],
  },
  {
    category: "Social Media Tools",
    categoryUrl: "social-media-tools",
    categoryTools: [
      {
        link: "/free-tools/twitter-thread-generator",
        name: "Twitter Thread Generator",
        description: "Generate Twitter Thread",
      },
      {
        link: "/free-tools/facebook-post-generator",
        name: "Facebook Post Generator",
        description: "Generate Facebook Posts",
      },
      {
        link: "/free-tools/linkedin-post-generator",
        name: "Linkedin Post Generator",
        description: "Generate Linkedin Posts",
      },
      {
        link: "/free-tools/youtube-description-generator",
        name: "Youtube Description Generator",
        description: "Generate Youtube Video Description",
      },
      {
        link: "/free-tools/instagram-post-generator",
        name: "Instagram Post Generator",
        description: "Generate Instagram Posts",
      },
      {
        link: "/free-tools/ad-copy-generator",
        name: "Ad Copy Generator",
        description: "Generate ad copy for marketing campaigns.",
      },
      {
        link: "/free-tools/call-to-action-generator",
        name: "Call To Action Generator",
        description: "Generate call-to-action phrases.",
      },
      {
        link: "/free-tools/twitter-tweet-generator",
        name: "Twitter Tweet Generator",
        description: "Generate tweets for Twitter.",
      },
      {
        link: "/free-tools/ai-social-media-post-generator",
        name: "AI Social Media Post Generator",
        description: "Generate AI-powered social media posts.",
      },
      {
        link: "/free-tools/hashtag-generator",
        name: "Hashtag Generator",
        description: "Generate popular hashtags for social media.",
      },
      {
        link: "/free-tools/ad-headline-generator",
        name: "Ad Headline Generator",
        description: "Generate ads",
      },
      {
        link: "/free-tools/username-generator",
        name: "Username Generator",
        description: "Generate usernames for online platforms.",
      },

      {
        link: "/free-tools/inspirational-quote-generator",
        name: "Inspirational Quote Generator",
        description: "Generate Inspirational Quotes",
      },

      {
        link: "/free-tools/tiktok-post-generator",
        name: "Tiktok Post Generator",
        description: "Generate Tiktok Posts",
      },
    ],
  },
];

export default t;
