function populateAboutArea(textArray, aboutDataHeading) {
  const container = document.querySelector(".about-area");

  if (aboutDataHeading) {
    const paragraph = document.createElement("p");
    paragraph.id='aboutDataHeading';
    paragraph.innerHTML = aboutDataHeading;

    container.appendChild(paragraph);
  }

  textArray.forEach(([heading, text]) => {
    const aboutContainer = document.createElement("div");
    const headingElement = document.createElement("h2");
    headingElement.textContent = heading;

    const paragraphElement = document.createElement("p");
    paragraphElement.innerHTML = text;

    aboutContainer.appendChild(headingElement);
    aboutContainer.appendChild(paragraphElement);
    container.appendChild(aboutContainer);
  });
}

export default populateAboutArea;