import t from "../globaljs/allToolsData.js";

const allCategory = [
   {
     name: "Business Tools",
     categoryUrl: "business-and-productivity-tools",
   },
  {
    name: "Social Media Tools",
    categoryUrl: "social-media-tools",
  },
  {
    name: "Productivity Tools",
    categoryUrl: "productivity-tools",
  },
  {
    name: "Marketing and SEO Tools",
    categoryUrl: "marketing-and-seo-tools",
  },
  {
    name: "Technical and Coding Tools",
    categoryUrl: "technical-and-coding-tools",
  },
  {
    name: "Password and User Data Tools",
    categoryUrl: "password-and-user-data-tools",
  },
  {
    name: "Content Creation and Writing Tools",
    categoryUrl: "content-creation-and-writing-tools",
  },
];
const allCategoryLinks = document.querySelector("#all-category-links");
allCategory.forEach((category) => {
  const linkContainer = document.createElement("div");
  linkContainer.id = "category-link-container";

  const aiSvg = document.createElement("div");
  aiSvg.innerHTML = `
  <svg xmlns="http://www.w3.org/2000/svg" width="19" height="18" viewBox="0 0 19 18" fill="none">
  <path d="M1.32165 10.049C0.559451 9.7789 0.55945 8.2211 1.32165 7.951C2.96732 7.36782 4.76856 6.52799 5.89827 5.39827C7.02799 4.26856 7.86782 2.46732 8.451 0.82165C8.7211 0.0594508 10.2789 0.0594495 10.549 0.82165C11.1322 2.46732 11.972 4.26856 13.1018 5.39827C14.2314 6.52799 16.0326 7.36782 17.6784 7.951C18.4405 8.2211 18.4405 9.7789 17.6784 10.049C16.0326 10.6322 14.2314 11.472 13.1018 12.6018C11.972 13.7314 11.1322 15.5326 10.549 17.1784C10.2789 17.9405 8.7211 17.9405 8.451 17.1784C7.86782 15.5326 7.02799 13.7314 5.89827 12.6018C4.76856 11.472 2.96732 10.6322 1.32165 10.049Z" fill="#4573D2"/>
  </svg>
  `;

  const link = document.createElement("a");
  link.textContent = category.name;
  link.href = `#${category.categoryUrl}`;

  linkContainer.appendChild(aiSvg);
  linkContainer.appendChild(link);
  allCategoryLinks.appendChild(linkContainer);
});

const categorySelector = document.querySelector("#category-selector");
categorySelector.addEventListener("click", () => {
  const categorySelectorModal = document.querySelector(
    "#category-selector-modal"
  );
  categorySelectorModal.classList.toggle("hidden");
});

export { t };
