import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();

  let prompt = `Act as a OKR generator. I will tell you what I want to achieve and you will
      generate 3 okrs for me in markdown format.`;

  if (input.topic) {
    prompt += `I want to achieve: ${input.topic}`;
  }

  if (input.language) {
    prompt += `The okrs will be in ${input.language}\n\n`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
