import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;
  const number = document.getElementById("number").value;
  const language = document.getElementById("language").value;

  return {
    topic,
    number,
    language,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a sentence finisher generator. I will give you an incomplete senetence you will give the completed sentence.`;

  if (input.topic) {
    prompt += `The incomplete sentence : ${input.topic};`;
  }

  if (input.number) {
    prompt += `Complete the sentence by adding ${input.number} words.`;
  }

  if (input.language) {
    prompt += `Give the completed sentence in ${input.language};`;
  }

  prompt += `Give the full sentence.`;

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0.5;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
