import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const userInput = document.querySelector("input").value;
  return userInput;
};

const generatePrompt = (userInput) => {
  const prompt = `Act as a username generator. You generate usernames in markdown format. 
    Generate 10 user names that sounds like ${userInput}. Give only the usernames.`;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
