import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const userNickname = document.querySelector("#userNickname").value;
  const userInterests = document.querySelector("#userInterests").value;
  const tagLength = document.querySelector("#tagLength").value;
  const selector = document.querySelector("#selector").value;

  return {
    userNickname,
    userInterests,
    tagLength,
    selector,
  };
};

const generatePrompt = (input) => {
  let prompt =
    "Generate few personalized gamertag with the following informations:\n";

  if (input.userNickname) {
    prompt += `User nickname: ${input.userNickname}\n`;
  }
  if (input.userInterests) {
    prompt += `User is interested: ${input.userInterests}\n`;
  }
  if (input.tagLength) {
    prompt += `Gamertag Length: ${input.tagLength}\n`;
  }
  if (input.selector) {
    prompt += `User likes following game genre: ${input.selector}\n`;
  }
  prompt += "Give the suggetions in markdown format.";
  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
