document.getElementById("generate").addEventListener("click", function (e) {
  e.preventDefault();

  let array = new Uint32Array(4); // Create an array to hold our random numbers
  window.crypto.getRandomValues(array); // Fill the array with random numbers
  let giftCardNumber = "";
  for (let i = 0; i < array.length; i++) {
    giftCardNumber += array[i]; // Convert the numbers to strings and concatenate them to form our gift card number
  }

  const output = document.querySelector("#output");
  output.style.whiteSpace = "pre";

  if (output.textContent !== "Your output will be shown here! Waiting...") {
    output.textContent += giftCardNumber + "\n";
  } else {
    output.textContent = giftCardNumber + "\n";
  }
});
