const heroSection = document.querySelector(".hero-section");

heroSection.innerHTML = `
<div id="banner">
<nav></nav>
<h1>
  Seize Control,
  <br />
  Stay Super Organised!
</h1>
<p>
  Onethread empowers you to plan, organise, and track projects with
  ease, ensuring you meet deadlines, allocate resources efficiently, and
  keep progress transparent.
</p>
<div class="banner-cta-buttons">
  <a href="https://app.onethread.app/signup" target="_blank">
    <button class="get-started">
      Get Started
      <svg
        xmlns="http://www.w3.org/2000/svg"
        width="16"
        height="16"
        viewBox="0 0 16 16"
        fill="none"
        preserveAspectRatio="xMidYMid meet"
        aria-hidden="true"
        role="img"
      >
        <g clip-path="url(#clip0_225_31266)">
          <path
            d="M2.5 7H1.5V9H2.5V7ZM13.5 9C14.0523 9 14.5 8.55228 14.5 8C14.5 7.44772 14.0523 7 13.5 7V9ZM2.5 9H13.5V7H2.5V9Z"
            fill="currentColor"
          ></path>
          <path
            d="M9 3.5L13.5 8L9 12.5"
            stroke="currentColor"
            stroke-width="2"
            stroke-linecap="square"
            stroke-linejoin="round"
          ></path>
        </g>
        <defs>
          <clipPath id="clip0_225_31266">
            <rect width="16" height="16" fill="currentColor"></rect>
          </clipPath>
        </defs>
      </svg>
    </button>
  </a>

  <a href="https://www.onethreadapp.com/#" target="_blank">
    <button class="learn-more">Learn More</button>
  </a>
</div>
</div>
`;
