const generateNumberedList = () => {
  const items = document.getElementById("items").value;
  const startFrom = parseInt(document.getElementById("start").value);
  const step = parseInt(document.getElementById("increment").value);
  const lines = items.split("\n");
  let output = "";

  for (let i = 0; i < lines.length; i++) {
    output += startFrom + i * step + ". " + lines[i] + "<br/>";
  }
  document.getElementById("output").innerHTML = output;
};

document.getElementById("generate").addEventListener("click", (e) => {
  e.preventDefault();
  generateNumberedList();
});
