const form = document.getElementById("randomNumberForm");
const minInput = document.getElementById("min");
const maxInput = document.getElementById("max");
const resultDiv = document.getElementById("result");
const output = document.getElementById("output");

const getRandomInt = (min, max) => {
  min = Math.round(min);
  max = Math.round(max);

  const randomNumber = Math.floor(Math.random() * (max - min + 1)) + min;
  if (
    output.textContent !== "Your output will be shown here! Waiting..." &&
    output.textContent !== "Please fill both fields"
  ) {
    output.textContent += randomNumber + "\n";
  } else {
    output.textContent = randomNumber + "\n";
  }
};

form.onsubmit = function (e) {
  e.preventDefault();

  const min = parseInt(minInput.value);
  const max = parseInt(maxInput.value);
  output.style.whiteSpace = "pre";

  if (min && max) {
    getRandomInt(min, max);
  } else {
    document.getElementById("output").textContent = `Please fill both fields`;
  }
};
