const form = document.getElementById("randomPasswordForm");

const returnRandomPassword = async () => {
  const lowercaseLetters = "abcdefghijklmnopqrstuvwxyz";
  const uppercaseLetters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  const numbers = "0123456789";
  const symbols = "!@#$%^&*()_-+=<>?:;,.";

  let password = "";
  password +=
    lowercaseLetters[Math.floor(Math.random() * lowercaseLetters.length)];
  password +=
    uppercaseLetters[Math.floor(Math.random() * uppercaseLetters.length)];
  password += numbers[Math.floor(Math.random() * numbers.length)];
  password += symbols[Math.floor(Math.random() * symbols.length)];

  const all = lowercaseLetters + uppercaseLetters + numbers + symbols;
  for (let i = password.length; i < 16; i++) {
    const character = Math.floor(Math.random() * all.length);
    password += all[character];
  }

  // shuffle password
  password = password
    .split("")
    .sort(function () {
      return 0.5 - Math.random();
    })
    .join("");

  document.getElementById("output").textContent = password;
  document.getElementById("output").style.fontSize = "1.5rem";
};

form.onsubmit = function (e) {
  e.preventDefault();

  returnRandomPassword();
};
