import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const keywords = document.querySelector("#keywords").value;
  const other = document.querySelector("#other").value;

  return { topic, keywords, other };
};

function generatePrompt(input) {
  let prompt = "Generate 10 slogans with the following informations:\n";

  if (input["topic"]) {
    prompt += `Topic: ${input["topic"]}\n`;
  }
  if (input["keywords"]) {
    prompt += `Slogan should have the following keyword / keywords: ${input["keywords"]}\n`;
  }
  if (input["other"]) {
    prompt += `Other informations: ${input["other"]}\n`;
  }

  prompt += "Give the suggetions in markdown format.";
  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 1;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
