import handleFormSubmit from "../globaljs/formSubmitHandler.js";

const getFormValues = () => {
  const topic = document.querySelector("#topic").value;
  const language = document.querySelector("#language").value;

  return { topic, language };
};

const generatePrompt = (input) => {
  let prompt = `Act as a swot analysis generator. Write a swot anyalysis in markdown format in ${input.language} 
    with the following informations: ${input.topic} .`;

  return prompt;
};

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;
const useStraightLineInMermaid = false;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature,
  useStraightLineInMermaid
);
