import handleFormSubmit from "../globaljs/formSubmitHandler.js";

function getFormValues() {
  const topic = document.getElementById("topic").value;

  return {
    topic,
  };
}

function generatePrompt() {
  const input = getFormValues();
  let prompt = `Act as a website typography generator. I will give you my company details you will generate typography suggetions relevant to my website in markdown format.
   Also provide explanation about how your suggestion is useful and font details such as name, size etc..`;

  if (input.topic) {
    prompt += `My website details: ${input.topic}`;
  }

  return prompt;
}

const isResponseMarkdown = true;
const usingMermaidJS = false;
const temperature = 0;

handleFormSubmit(
  getFormValues,
  generatePrompt,
  isResponseMarkdown,
  usingMermaidJS,
  temperature
);
